summaryrefslogtreecommitdiffstats
path: root/perl/perl-Template-Toolkit
diff options
context:
space:
mode:
author Robby Workman2011-03-16 07:18:10 +0100
committer Robby Workman2011-03-20 18:32:34 +0100
commit93ba4df5022a8c4d422dd97a2a13ffa8a8946453 (patch)
treeea69c40d48150458e051a851cdf77e722c9118e2 /perl/perl-Template-Toolkit
parent6a511b1c665a1f7efecadaa3447af889b1dcba58 (diff)
downloadslackbuilds-93ba4df5022a8c4d422dd97a2a13ffa8a8946453.tar.gz
perl/*: Moved all of the Perl modules to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl/perl-Template-Toolkit')
-rw-r--r--perl/perl-Template-Toolkit/README8
-rw-r--r--perl/perl-Template-Toolkit/key-value.patch11
-rw-r--r--perl/perl-Template-Toolkit/perl-Template-Toolkit.SlackBuild87
-rw-r--r--perl/perl-Template-Toolkit/perl-Template-Toolkit.info10
-rw-r--r--perl/perl-Template-Toolkit/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/perl/perl-Template-Toolkit/README b/perl/perl-Template-Toolkit/README
new file mode 100644
index 0000000000..07bfb02efe
--- /dev/null
+++ b/perl/perl-Template-Toolkit/README
@@ -0,0 +1,8 @@
+The Template Toolkit is a collection of Perl modules which implement a
+fast, flexible, powerful and extensible template processing system.
+
+It is "input-agnostic" and can be used equally well for processing any
+kind of text documents: HTML, XML, CSS, Javascript, Perl code, plain text,
+and so on.
+
+This needs perl-AppConfig.
diff --git a/perl/perl-Template-Toolkit/key-value.patch b/perl/perl-Template-Toolkit/key-value.patch
new file mode 100644
index 0000000000..16eebd805f
--- /dev/null
+++ b/perl/perl-Template-Toolkit/key-value.patch
@@ -0,0 +1,11 @@
+--- Makefile.PL.orig 2009-05-21 14:16:48.000000000 +0200
++++ Makefile.PL 2010-06-21 00:41:30.631164799 +0200
+@@ -43,7 +43,7 @@
+
+ my (%config, %ttconfig);
+ while ($_ = shift) {
+- my ($k, $v) = split(/=/);
++ my ($k, $v) = split(/=/, $_, 2);
+ if ($k =~ /^TT/) {
+ $ttconfig{ $k } = $v || 0;
+ }
diff --git a/perl/perl-Template-Toolkit/perl-Template-Toolkit.SlackBuild b/perl/perl-Template-Toolkit/perl-Template-Toolkit.SlackBuild
new file mode 100644
index 0000000000..5ffa3b47a6
--- /dev/null
+++ b/perl/perl-Template-Toolkit/perl-Template-Toolkit.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for perl-Template-Toolkit
+# Written by Thomas Morper <thomas@beingboiled.info>
+
+SRCNAM=Template-Toolkit
+PRGNAM=perl-$SRCNAM
+VERSION=${VERSION:-2.22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Uncomment, if any of the parameters you pass to Makefile.PL contains a "=" (like SLKCFLAGS)
+#patch -p0 < $CWD/key-value.patch
+
+perl Makefile.PL \
+ TT_ACCEPT=y \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" -empty | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes HACKING INSTALL MANIFEST README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Template-Toolkit/perl-Template-Toolkit.info b/perl/perl-Template-Toolkit/perl-Template-Toolkit.info
new file mode 100644
index 0000000000..c8321849b8
--- /dev/null
+++ b/perl/perl-Template-Toolkit/perl-Template-Toolkit.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Template-Toolkit"
+VERSION="2.22"
+HOMEPAGE="http://search.cpan.org/~abw/Template-Toolkit/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AB/ABW/Template-Toolkit-2.22.tar.gz"
+MD5SUM="d98277f6420e5da6b93d99a8db2b3934"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Thomas Morper"
+EMAIL="thomas@beingboiled.info"
+APPROVED="Erik Hanson"
diff --git a/perl/perl-Template-Toolkit/slack-desc b/perl/perl-Template-Toolkit/slack-desc
new file mode 100644
index 0000000000..3237375558
--- /dev/null
+++ b/perl/perl-Template-Toolkit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Template-Toolkit: perl-Template-Toolkit (comprehensive template processing system)
+perl-Template-Toolkit:
+perl-Template-Toolkit: The Template Toolkit is a collection of Perl modules which implement
+perl-Template-Toolkit: a fast, flexible, powerful and extensible template processing system.
+perl-Template-Toolkit:
+perl-Template-Toolkit: It is "input-agnostic" and can be used equally well for processing
+perl-Template-Toolkit: any kind of text documents: HTML, XML, CSS, Javascript, Perl code,
+perl-Template-Toolkit: plain text, and so on.
+perl-Template-Toolkit:
+perl-Template-Toolkit:
+perl-Template-Toolkit: